Can you please try version 4.1.4?